Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class HTMLSelect

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLElement
            |
            +--oracle.jdeveloper.html.HTMLSelect

public class HTMLSelect
extends HTMLElement

Represents an HTML SELECT field. The SELECT FIELD is used to present a selection list to the user. If the SELECT field allows selection of multiple values, a comman delimited list is sent to the HTML FORM processor.

Version:
  PUBLIC

Field Summary
`protected boolean` | `bScroll`
`protected java.util.Vector` | `Elements`
`protected java.lang.String` | `sHeight`
`protected java.lang.String` | `sWidth`
`protected java.lang.String` | `theName`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`HTMLSelect(java.lang.String sName)` contructs the SELECT object providing the field's name.
`HTMLSelect(java.lang.String sName, boolean bMultiple)` contructs the SELECT object providing the field's name and a boolean for enabling/disabling multiple selection.
`HTMLSelect(java.lang.String sName, java.lang.String sClass)` contructs the SELECT object providing the field's name and the CSS class name.

Method Summary
`void` | `addOption(java.lang.String sOption)` Adds an option to the list.
`void` | `addOption(java.lang.String sOption, java.lang.String sValue)` Adds an option to the list.
`void` | `addSelectedOption(java.lang.String sOption)` Adds a selected option to the list.
`void` | `addSelectedOption(java.lang.String sOption, java.lang.String sValue)` Adds a selected option to the list.
`void` | `clearMultiple()` Disables multiple selection.
`void` | `render(java.io.PrintWriter out)`
`void` | `setHeight(java.lang.String sHeight)` Sets the field height
`void` | `setMultiple()`
`void` | `setWidth(java.lang.String sWidth)` Sets the field width

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Elements

    protected java.util.Vector Elements

### theName

    protected java.lang.String theName

### bScroll

    protected boolean bScroll

### sWidth

    protected java.lang.String sWidth

### sHeight

    protected java.lang.String sHeight

Constructor Detail

### HTMLSelect

    public HTMLSelect(java.lang.String sName)

  contructs the SELECT object providing the field's name.

### HTMLSelect

    public HTMLSelect(java.lang.String sName,
                      boolean bMultiple)

  contructs the SELECT object providing the field's name and a boolean for enabling/disabling multiple selection.

### HTMLSelect

    public HTMLSelect(java.lang.String sName,
                      java.lang.String sClass)

  contructs the SELECT object providing the field's name and the CSS class name.

Method Detail

### setMultiple

    public void setMultiple()

### clearMultiple

    public void clearMultiple()

  Disables multiple selection.

### setWidth

    public void setWidth(java.lang.String sWidth)

  Sets the field width

### setHeight

    public void setHeight(java.lang.String sHeight)

  Sets the field height

### addOption

    public void addOption(java.lang.String sOption)

  Adds an option to the list.
  Parameters:
    `sOption` - string value of the new option

### addSelectedOption

    public void addSelectedOption(java.lang.String sOption)

  Adds a selected option to the list.
  Parameters:
    `sOption` - string value of the new option

### addOption

    public void addOption(java.lang.String sOption,
                          java.lang.String sValue)

  Adds an option to the list.
  Parameters:
    `sOption` - string value of the new option
    `sValue` - the value for the new option.

### addSelectedOption

    public void addSelectedOption(java.lang.String sOption,
                                  java.lang.String sValue)

  Adds a selected option to the list.
  Parameters:
    `sOption` - string value of the new option
    `sValue` - the value for the new option.

### render

    public void render(java.io.PrintWriter out)

  Overrides:
    render in class HTMLElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD